package bll

import (
	"context"
	"gxt-file-server/app/schema"
)

// IFileChunk demo业务逻辑接口
type IFileChunk interface {
	// Query 查询数据
	Query(ctx context.Context, params schema.FileChunkQueryParam, opts ...schema.FileChunkQueryOptions) (*schema.FileChunkQueryResult, error)
	// Get 查询指定数据
	Get(ctx context.Context, recordID string, opts ...schema.FileChunkQueryOptions) (*schema.FileChunk, error)
	// Create 创建数据
	Create(ctx context.Context, item schema.FileChunk) (*schema.FileChunk, error)
	// Update 更新数据
	Update(ctx context.Context, recordID string, item schema.FileChunk) (*schema.FileChunk, error)
	// Delete 删除数据
	Delete(ctx context.Context, recordID string) error
	//ClearChunks 清理过期的文件分块
	ClearChunks(ctx context.Context) error
}
